Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime.util
Class RuntimeAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.gmt.modisco.infra.query.runtime.util.RuntimeAdapterFactory

Direct Known Subclasses:
  RuntimeItemProviderAdapterFactory

    public class RuntimeAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `RuntimePackage`

Constructor Summary
`RuntimeAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` | `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` | `createModelQueryContextAdapter()` Creates a new adapter for an object of class '`Model Query Context`'.
`Adapter` | `createModelQueryParameterValueAdapter()` Creates a new adapter for an object of class '`Model Query Parameter Value`'.
`Adapter` | `createModelQueryResultAdapter()` Creates a new adapter for an object of class '`Model Query Result`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeAdapterFactory

    public RuntimeAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createModelQueryContextAdapter

    public Adapter createModelQueryContextAdapter()

  Creates a new adapter for an object of class '`Model Query Context`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ModelQueryContext`

### createModelQueryParameterValueAdapter

    public Adapter createModelQueryParameterValueAdapter()

  Creates a new adapter for an object of class '`Model Query Parameter Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ModelQueryParameterValue`

### createModelQueryResultAdapter

    public Adapter createModelQueryResultAdapter()

  Creates a new adapter for an object of class '`Model Query Result`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ModelQueryResult`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD